# otp.session.Config

### *class* Config(config=None, locator=None, acl=None, otq_path=None, csv_path=None, clean_up=utils.default, copy=True, session_ref=None, license=None, variables=None)

* **Parameters:**
  * **config** (*path* *or* [*Config*](#onetick.py.session.Config)) -- Allows to specify a custom config. None is to use temporary generated config. Default is None.
  * **locator** ([*Locator*](locator.md#onetick.py.session.Locator)) -- Allows to specify a custom locator file. None is to use temporary generated locator. Default is None.
  * **acl** ([*ACL*](acl.md#onetick.py.session.ACL)) -- Allows to specify a custom acl file. None is to use temporary generated acl. Default is None.
  * **otq_path** ([*list*](https://docs.python.org/3/library/stdtypes.html#list) *of* *paths to lookup queries*) -- OTQ_PATH parameter in the OneTick config file. Default is None, that is equal to the empty list.
  * **csv_path** ([*list*](https://docs.python.org/3/library/stdtypes.html#list) *of* *paths to lookup csv files*) -- CSV_PATH parameter in the OneTick config file. Default is None, that is equal to the empty list.
  * **clean_up** ([*bool*](https://docs.python.org/3/library/functions.html#bool)) -- 

    If True, then temporary config file will be removed when the Config instance will be destroyed.
    It is helpful for debug purpose.

    By default,
    [`otp.config.clean_up_tmp_files`](../config.md#onetick.py.configuration.Config.clean_up_tmp_files) is used.
  * **copy** ([*bool*](https://docs.python.org/3/library/functions.html#bool)) -- If True, then the passed custom config file will be copied firstly before any usage with it.
    It might be used when you want to work with a custom config file, but don't want to change to
    change the original file; in that case a custom config will be copied into a temporary config
    file and every request for modification will be executed for that temporary config. Default
    is True.
  * **license** (*instance from the onetick.py.license module*) -- License to use. If it is not set, then onetick.py.license.Default is used.
  * **variables** ([*dict*](https://docs.python.org/3/library/stdtypes.html#dict)) -- Other values to pass to config.
